Imports System.Drawing
Imports Wrap = Orbiter.Wrapper.Vessel
Namespace ShuttleVBOverLoaded
    Public Class ShuttleVBOverloadedModule
        Inherits ShuttleVBdotNET.ShuttleVBdotnet.ShuttleVBdotnetModule
        Public Overrides Function InitVessel(ByVal vessel As System.IntPtr, ByVal flightModel As Integer) As System.IntPtr
            Return Wrap.Init(vessel, flightModel, New VBOverLoad())
        End Function
    End Class
End Namespace
Public Class VBOverLoad
    Inherits ShuttleVBdotNET.ShuttleVB
    Public Overrides Sub SetClassCaps(ByVal configuration As System.IntPtr)
        MyBase.SetClassCaps(configuration)
        This.EmptyMass = 1
    End Sub
    Public Overrides Sub DrawHUD(ByVal mode As Integer, ByVal hps As Orbiter.Interfaces.HudPaintSpecification, ByVal hDC As System.IntPtr)
        Dim MyHUD As Graphics = Graphics.FromHdc(hDC)
        Dim MyFont As New Font("Arial", 10.0, System.Drawing.FontStyle.Regular, GraphicsUnit.Pixel, CType(0, Byte))
        Dim MyBrush As Brush = Brushes.Red
        MyHUD.DrawString("Overloaded.NET Graphics Test (GDI+)", MyFont, MyBrush, 10, 250)
        Base.DrawHUD(mode, hps, hDC)
    End Sub
End Class

